Subject: Ackanomic Research Digest V2 #91
From: [email-masked] (Ackanomic Research Digest)
To: acka-research-digest

Ackanomic Research Digest   Thursday, June 19 1997   Volume 02 : Number 091

----------------------------------------------------------------------

Date: Wed, 18 Jun 1997 07:15:41 -0500 (CDT)
From: Jason Orendorff <[email-masked]>
Subject: Re: Acka: Proposal 2123

> {{[ If this had been written correctly to begin with, the Azpiazu blueprint
> (if it ever existed) would have been immediately destroyed by section (ii),
> for violating "a blueprint must unambiguously describe the behavior of a
> type of gadget".  As it is, it gets by because this is only a requirement
> when a blueprint is created by this rule, and not a general, continuous
> requirement of blueprints. ]}}
	It was written "correctly" to begin with; I wrote a proposal
to change the rule a while back to allow more leniency for proposal-
and madness-generated blueprints.

sorrie
- -- 
Mohammed

------------------------------

Date: Wed, 18 Jun 1997 21:23:02 -0500 (CDT)
From: Jason Orendorff <[email-masked]>
Subject: Re: Acka: Proposal 2122

> /dev/joe
> In Magic: the Gathering, they have to avoid the Hubert problem too, but
> since it's a card game, they use the analogy of "Slap" (a.k.a. Slapjack;
> "Speed" and "Spoons" are similar games, where being first [not being last]
> to do something is the whole point of the game).
	This is off-topic, but I thought in MtG the active player goes
first in a Hubert situation.  (To be a little more complete aobut it:
if the active player decides not to go, the other player(s) then
decide to play or not, and if no one plays, the active player is then
not allowed to decide he did want to do something after all-- the
phase is over.)
	I'm probably misinterpriting what you wrote above; i don't
understand it completely.

- -- 
Mohammed
Glamorous rude parakeets from Hell saved an American from Canada from
certain death.

------------------------------

Date: Wed, 18 Jun 1997 21:27:19 -0500 (CDT)
From: Jason Orendorff <[email-masked]>
Subject: Re: Acka: Proposal 2125

> Whenever it is desired that the relative alphabetical ordering of two
> entity names be determined, the following procedure is followed:
> 
> 1) The relative alphabetical ordering of the two strings formed by removing
> all non-alphabetical characters from the names and putting all alphabetic
> alphabetic characters from both names in the same case is considered.
> 
> 2) If the comparison from 1) does not determine an ordering, then ASCII
> collation order is used.
	I don't like this.  :o) Should be lexicographic order... that
is, word by word rather than letter by letter; and numbers come before
letters and are sorted in numeric order.
	The case in 2) should never come into play because entities
are forbidden to have names that "match" and names that don't match
will always be handled by 1).
	Admittedly in the few places where my bot has to sort names,
they are sorted by primitive form, exactly like 1).

- -- 
Mohammed
For fame and fortune, parrots nuked a team of vicious gangsters.

I have received one (1) entry to the babble contest.

------------------------------

Date: Wed, 18 Jun 1997 21:42:58 -0600 (MDT)
From: Aaron Humphrey <[email-masked]>
Subject: Re: Acka: Proposal 2125

> > Whenever it is desired that the relative alphabetical ordering of two
> > entity names be determined, the following procedure is followed:
> > 
> > 1) The relative alphabetical ordering of the two strings formed by removing
> > all non-alphabetical characters from the names and putting all alphabetic
> > alphabetic characters from both names in the same case is considered.
> > 
> > 2) If the comparison from 1) does not determine an ordering, then ASCII
> > collation order is used.

> 	I don't like this.  :o) Should be lexicographic order... that
> is, word by word rather than letter by letter; and numbers come before
> letters and are sorted in numeric order.

I'm not quite sure how this is different from ASCII collation order.  How
would you like, say, "Atilla the Pun" and "Atillamatic" to be sorted
relative to each other, and would the two orders do it differently?

> 	The case in 2) should never come into play because entities
> are forbidden to have names that "match" and names that don't match
> will always be handled by 1).

Oh, you mean like "Inky Bloater Decoy #5" and "Inky Bloater Decoy #23"?
They are distinct names, but clause 1) is insufficient to separate them.
I'd rather just get some kind of alphabetical ordering of any sort into the
Rules, and others can change it if they dislike it.

But here's a question:  How would you sort "1A2B3", "AB123", and "123AB"
relative to each other?  I'd probably go "123AB", "1A2B3", and "AB123".

> Mohammed
> For fame and fortune, parrots nuked a team of vicious gangsters.
> 
> I have received one (1) entry to the babble contest.

I started working on one, but bogged down.  It might have been too
ambitious.  However, I might be able to throw something else together, or
just send you what I've got...what's the deadline again?  :-/

- --
- --Alfvaen(Web page: http://www.terranet.ab.ca/~aaron/)
Current Album--Vangelis:China
Current Book--Jo Clayton:The Snares of Ibex
The dark tendrils of death lash away at my lungs and it is a sweet pain.

------------------------------

End of Ackanomic Research Digest V2 #91
***************************************